> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serialized.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Trades

> Trade history of a wallet, newest first - multihop-deduplicated (one event per transaction, token and side; never doubled volumes). Keyset pagination on EVM via `beforeAt` (strictly older than the cursor, `meta.oldestAt` feeds the next page).

`GET /v1/wallet/trades` · **1 credit**

Trade history of a wallet, newest first - multihop-deduplicated (one event per transaction, token and side; never doubled volumes). Keyset pagination on EVM via `beforeAt` (strictly older than the cursor, `meta.oldestAt` feeds the next page).

<ParamField query="chain" type="string" required>
  Public chain id - `evm:<id>` or `solana`. Example: `evm:8453`
</ParamField>

<ParamField query="wallet" type="string" required>
  Wallet address (EVM hex, case-insensitive; Solana base58).
</ParamField>

<ParamField query="limit" type="number">
  1-100. Default 50.
</ParamField>

<ParamField query="beforeAt" type="number">
  Keyset cursor (ms): only trades strictly older. EVM only for now.
</ParamField>

<RequestExample>
  ```bash cURL (EVM) theme={null}
  curl 'https://api.serialized.trade/v1/wallet/trades?chain=evm:8453&wallet=0x95d955179a7cd45aeef394ed39f6a8d8b1bd1e09&limit=2' \
    -H 'Authorization: YOUR_API_KEY'
  ```

  ```bash cURL (Solana) theme={null}
  curl 'https://api.serialized.trade/v1/wallet/trades?chain=solana&wallet=GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E&limit=2' \
    -H 'Authorization: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json Response (EVM) theme={null}
  {
    "data": [
      {
        "at": 1787000365000,
        "chain": "evm:8453",
        "tokenAddress": "0xecaf81eb42cd30014eb44130b89bcd6d4ad98b92",
        "isBuy": false,
        "amountToken": 609087.0435973641,
        "priceNative": 2.46340612952e-9,
        "volumeNative": 0.001500827331112315,
        "volumeUsd": 3.120677773718492,
        "txHash": "0x18ec69970caef3c490d8276810f56083c9156c670e8c68eada72853a4d6e9b83",
        "block": 50105509,
        "logIndex": 291
      },
      {
        "at": 1787000365000,
        "chain": "evm:8453",
        "tokenAddress": "0xecaf81eb42cd30014eb44130b89bcd6d4ad98b92",
        "isBuy": true,
        "amountToken": 609087.0435973641,
        "priceNative": 2.2864562986700003e-9,
        "volumeNative": 0.001406562274237914,
        "volumeUsd": 2.9246719696342653,
        "txHash": "0x18ec69970caef3c490d8276810f56083c9156c670e8c68eada72853a4d6e9b83",
        "block": 50105509,
        "logIndex": 286
      }
    ],
    "meta": {
      "asOf": 1787163134462,
      "oldestAt": 1787000365000
    }
  }
  ```

  ```json Response (Solana) theme={null}
  {
    "data": [
      {
        "at": 1786907834306,
        "chain": "solana",
        "tokenAddress": "GFQLVG2UKYydSCJ2WjkuMXijpgJ6hbs2nEsNwdZFpump",
        "tokenSymbol": "Tortuga",
        "isBuy": true,
        "amountToken": 786309.646509,
        "priceUsd": 0.000009468050745542354,
        "volumeUsd": 7.444819634856682,
        "txHash": "3GNhPPcE61UCifVQ5dZtfWB2yTnaVPiNA89a3X5KRQ4ySxJbWnjUABmHQTHFppxk8QKGwZNViQYtnYizCpthN9cP",
        "maker": "GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E"
      },
      {
        "at": 1786906537718,
        "chain": "solana",
        "tokenAddress": "9x4EQVaPRWSw4jKoWTpRzMP7YAu5sZwHyLJ9tbJYpump",
        "tokenSymbol": "JOKE",
        "isBuy": false,
        "amountToken": 1694349.271433,
        "priceUsd": 0.000002247097190226015,
        "volumeUsd": 3.807367487098589,
        "txHash": "5QCmyqayK3StL4ixLHpPmUm7dCDKtVFjDcVRjWBjWbHqKfwM5gZ6ukTQ3rkRRgRyPxUoNg62szAXSGKZdUVRUgjG",
        "maker": "GuhieZDx6nwJV14WjeUQH2ted6CGPKoGCCTaPSPNgG2E"
      }
    ],
    "meta": {
      "asOf": 1787163134616
    }
  }
  ```
</ResponseExample>
